
public class EntertainmentItem
{
    private String title;
    private int duration;
    private String media;

    public EntertainmentItem(String title, String media)
    {
        this.title = title;
        this.media = media;
        duration = 0;
    }

    public void setDuration(int d)
    {
        duration = d;
    }
    
    public String getTitle()
    {
        return title;
    }
    
    public int getDuration()
    {
        return duration;
    }
    
    public void print()
    {
        System.out.print(title);
        if(duration != 0) System.out.print(", Duration: " + duration);
        System.out.println(" (" + media + ")");
    }
}
