
public class Fraction
{
    private int nominator;
    private int denonimator;

    public Fraction(int a, int b)
    {
        nominator = a;
        denonimator = b;
    }

    public void add(int n)
    {
        nominator += n * denonimator;
    }
    
    public void add(Fraction f)
    {
        nominator = nominator * f.getDenonimator() + denonimator * f.getNominator();
        denonimator = denonimator * f.getDenonimator();
    }
    
    public String toString()
    {
        return nominator + "/" + denonimator;
    }
    
    public int getNominator()
    {
        return nominator;
    }
    
    public int getDenonimator()
    {
        return denonimator;
    }
}
